VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 2
声望: 0

我是源代码安装的,在 examples/veighna_trader目录执行:python run.py后出错:
D:\anaconda3\python.exe D:/git/vn-py/examples/veighna_trader/run.py
Traceback (most recent call last):
File "D:\git\vn-py\examples\veighna_trader\run.py", line 99, in <module>
main()
File "D:\git\vn-py\examples\veighna_trader\run.py", line 47, in main
qapp = create_qapp()
File "D:\git\vn-py\vnpy\trader\ui\qt.py", line 28, in create_qapp
qapp.setStyleSheet(qdarkstyle.load_stylesheet(qt_api="pyside6"))
File "D:\anaconda3\lib\site-packages\qdarkstyle__init.py", line 370, in load_stylesheet
stylesheet = _load_stylesheet(qt_api=qt_api, palette=palette)
File "D:\anaconda3\lib\site-packages\qdarkstyle\
init.py", line 244, in _load_stylesheet
from qtpy.QtCore import QCoreApplication, QFile, QTextStream
File "D:\anaconda3\lib\site-packages\qtpy\
init__.py", line 111, in <module>
assert API in (PYQT5_API + PYQT4_API + PYSIDE_API + PYSIDE2_API)
AssertionError

Member
avatar
加入于:
帖子: 3357
声望: 226

请问你QtPy版本是?

Member
加入于:
帖子: 5
声望: 0

我有同样的问题,我的 qtpy 版本是 1.11.1

Name: QtPy
Version: 1.11.1
Summary: Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.
Home-page: https://github.com/spyder-ide/qtpy
Author: Colin Duquesnoy and the Spyder Development Team
Author-email: spyder.python@gmail.com
License: MIT
Location: /usr/local/lib/python3.9/site-packages
Requires: 
Required-by: QDarkStyle, qtconsole
QDarkStyle                        3.0.3
QScintilla                        2.11.4
qtconsole                         5.1.1
QtPy                              1.11.1

PyQt5                             5.14.1
PyQt5-Qt5                         5.15.2
PyQt5-sip                         12.9.0
PyQt6                             6.3.0
PyQt6-3D                          6.3.0
PyQt6-Charts                      6.3.0
PyQt6-DataVisualization           6.3.0
PyQt6-NetworkAuth                 6.3.0
PyQt6-sip                         13.3.1
PyQt6-WebEngine                   6.3.0
pyqtgraph                         0.12.3
pyrsistent                        0.18.0
PySide6                           6.2.3
Member
avatar
加入于:
帖子: 3357
声望: 226

可以升级至2.1.0试试看

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】